Loading...
Searching...
No Matches
juce::midi_ci::ResponderPropertyExchangeCache Class Reference

## Detailed Description

Accumulates message chunks that form a request initiated by a remote device.

The documentation for this class was generated from the following file:

- juce_midi_ci/ci/juce_CIPropertyExchangeCache.h

## Public Member Functions

| ResponderPropertyExchangeCache ()
| ~ResponderPropertyExchangeCache ()
| ResponderPropertyExchangeCache (ResponderPropertyExchangeCache &&) noexcept
ResponderPropertyExchangeCache & | operator= (ResponderPropertyExchangeCache &&) noexcept
void | primeCache (uint8_t maxSimultaneousTransactions, std::function< void(const PropertyExchangeResult &)> onDone, RequestID id)
| Prepares the cache for the given requestID to accumulate message chunks.
void | addChunk (RequestID, const Message::DynamicSizePropertyExchange &chunk)
| Adds a message chunk for the provided transaction id.
void | notify (RequestID, Span< const std::byte > header)
| Updates the transaction state based on the contents of the provided notification.
int | countOngoingTransactions () const
| Returns the number of transactions that have been started but not finished.

## Constructors and Destructors

## ResponderPropertyExchangeCache() [1/2]

juce::midi_ci::ResponderPropertyExchangeCache::ResponderPropertyExchangeCache | ( |  | ) |

Referenced by operator=(), and ResponderPropertyExchangeCache().

## ~ResponderPropertyExchangeCache()

juce::midi_ci::ResponderPropertyExchangeCache::~ResponderPropertyExchangeCache | ( |  | ) |

## ResponderPropertyExchangeCache() [2/2]

juce::midi_ci::ResponderPropertyExchangeCache::ResponderPropertyExchangeCache | ( | ResponderPropertyExchangeCache && |  | ) |

noexcept

References ResponderPropertyExchangeCache().

## Member Functions

## operator=()

ResponderPropertyExchangeCache & juce::midi_ci::ResponderPropertyExchangeCache::operator= | ( | ResponderPropertyExchangeCache && |  | ) |

noexcept

References JUCE_DECLARE_NON_COPYABLE, and ResponderPropertyExchangeCache().

## primeCache()

void juce::midi_ci::ResponderPropertyExchangeCache::primeCache | ( | uint8_t | maxSimultaneousTransactions,
|  | std::function< void(const PropertyExchangeResult &)> | onDone,
|  | RequestID | id )

Prepares the cache for the given requestID to accumulate message chunks.

Incoming chunks added with addChunk are generated by another device acting as an initiator.

References primeCache().

Referenced by primeCache().

## addChunk()

void juce::midi_ci::ResponderPropertyExchangeCache::addChunk | ( | RequestID | ,
|  | const Message::DynamicSizePropertyExchange & | chunk )

Adds a message chunk for the provided transaction id.

References addChunk().

Referenced by addChunk().

## notify()

void juce::midi_ci::ResponderPropertyExchangeCache::notify | ( | RequestID | ,
|  | Span< const std::byte > | header )

Updates the transaction state based on the contents of the provided notification.

References notify().

Referenced by notify().

## countOngoingTransactions()

int juce::midi_ci::ResponderPropertyExchangeCache::countOngoingTransactions | ( |  | ) | const

Returns the number of transactions that have been started but not finished.

References countOngoingTransactions().

Referenced by countOngoingTransactions().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited